<?php
defined('PRODUCT_NAME') or die;
class ContactInfoModule extends ModuleInstance
{
	function render()
	{
		$data = array("module_instance_id" 	=> $this->module_instance_id,
					  "title" 				=> $this->setting("title"),
					  "title_heading_level" => $this->setting("title_heading_level"),
		              "module_class" 		=> $this->setting("module_class"),
					  "icon_class" 			=> "fa-" . $this->setting("icon_size"),
					  "phone_numbers_icon" 	=> $this->setting("phone_numbers_icon"),
					  "phone_numbers" 		=> $this->setting("phone_numbers"),
					  "hours_icon" 			=> $this->setting("hours_icon"),
					  "hours" 				=> $this->setting("hours"),
					  "address_icon" 		=> $this->setting("address_icon"),
					  "address" 			=> $this->setting("address_info"));

		if($this->setting("layout") == "vertical")
		{
			$this->load->view("modules/contact_info/module-vertical", $data);
		}
		else
		{
			$this->load->view("modules/contact_info/module-horizontal", $data);
		}
	}
}
